/**
 * Implementation of a stack as an array
 **/
public class Stack2 {
  
  private static int ARRAYSIZE = 20;
  
  /** Where we'll store our elements */
  private Object[] elements;

  /** Index where the top of the stack is */
  private int top;
  
  /// Constructor ////
  public Stack2() {
    elements = new Object[ARRAYSIZE];
    top = 0;
  }
  
  //// Methods ///
  public void push(Object element){
    // New elements go at the top
    elements[top]=element;
    // then add to the top
    top++;
    if (top==ARRAYSIZE){
      System.out.println("Stack overflow!");
    }
  }
  
  public Object peek(){
    if (top==0){
      System.out.println("Stack empty!");
      return null;
    } else{
      return elements[top-1];}
  }
  
  public Object pop(){
    Object toReturn = this.peek();
    top--;
    return toReturn;
  }
  
  /** Size is simply the top index */
  public int size(){return top;}
}
