/**
 * WDSimulation -- using the Simulation class
 **/
public class WDSimulation extends Simulation {

  /**
   * lineForFile -- write out number of wolves and deer 
   **/
  public String lineForFile(){
    // Get the size (an int), make it an Integer, 
    // in order to turn it into a string. (Whew!)
    return (new Integer(DeerAgent.allDeer.size())).toString()+"/t"+
      (new Integer(WolfAgent.allWolves.size())).toString();
  }
  
  /** 
   * Fill the world with wolves and deer
   **/
  public void setUp(){
    // Let the world be set up
    super.setUp();
    
    // Just for storing the new deer and wolves
    DeerAgent deer;
    WolfAgent wolf;
    
    // create some deer
    int numDeer = 20;
    for (int i = 0; i < numDeer; i++)
    {
      deer = new DeerAgent(world,this);
    }
    
    // create some wolves
    int numWolves = 5;
    for (int i = 0; i < numWolves; i++)
    {
      wolf = new WolfAgent(world,this);
    }

  }
  
}
