import java.util.*; // For Random number generator and Linked List
import java.awt.Color; // For colorizing

/**
 * Immigration -- using the Agent class
 **/
public class ImmigrationAgent extends Agent {
    boolean sick = false;
    int timessick = 0;
    int timesovercrowding = 0;
    int crowdedRadius = 20;

    boolean inAmerica = false;
    boolean dead = false;
    boolean overcrowding = false;  
    boolean inTransit = false;
    
    
  /* public ImmigrationAgent(ModelDisplay modelDisplayer,Simulation thisSim)
  {
    super(200 + randNumGen.nextInt(200), randNumGen.nextInt(modelDisplayer.getHeight()), modelDisplayer);
    init(thisSim);
  } */

  public void init(Simulation thisSim){
    // Do the normal initializations
    super.init(thisSim);

    // Make it lightGray
    setColor(Color.green);

    // Don't need to see the trail
    setPenDown(false);   
    
    moveTo(randNumGen.nextInt(200)+200,this.getYPos());
  }

  public void die(){
      this.setBodyColor(Color.lightGray);
      dead = true;
//
//      inAmerica = true;
//      int myX = this.getXPos();
//      if(myX > 99) //still in Europe
//      {
//        int newX = myX - 33;
//        this.setBodyColor(Color.blue);
//        if( newX <=199)
//        {
//          this.moveTo(199, this.getYPos());//Europe
//        }
//        else
//        {
//          this.moveTo(newX, this.getYPos());//33 steps closer to the coast
//        }
//      }
//      else
//      {
//        //cross the Atlantic
//        if(myX >= 100 && myX<=199)
//        {
//          this.setBodyColor(Color.yellow);
//          this.moveTo(myX - 33, this.getYPos());
//          if (randNumGen.nextInt(100) <=3); //3% chance of dying
//        }
//        this.die();
//        
//      }
  }
    public void immigrate() { //** TWEAKED BY MARK
    inTransit = true;
    int myX = this.getXPos();
    if (myX > 199) //if in Europe
    { // ***Call this first step
      this.setBodyColor(Color.yellow); //Color is YELLOW if in-transit
      this.moveTo(170,this.getYPos());}
      if (myX == 170){
      //*** Call this the second step
       this.moveTo(140,this.getYPos());}
      if (myX==140){
      //*** Step 3: Arrive in America
      this.moveTo(100,this.getYPos());
      inTransit = false;
      inAmerica = true; // Though instance variables shouldn't be capitalized...
      this.setBodyColor(Color.blue); // Or whatever color you want Americans to be
      }
      if(randNumGen.nextInt(10) == 1)//10% of dying in Atlantic Ocean
        {this.die();}
    }

   public void act() {
       if (dead) { //don't do anything
           return;
       }
       
       if (inTransit) {immigrate(); return;}
       
       if(inAmerica == false && inTransit == false)//dead people stay dead
       {
           int neighbors = countInRange (crowdedRadius,simulation.getAgents());
           if (neighbors > 5)
           {
               timesovercrowding++;
               if(timesovercrowding == 3)
               {
                   immigrate();//immigrate
                   return;//don't immigrate twice in the same timestamp
               }
           } else {timesovercrowding = 0;}
           
           if (randNumGen.nextInt(10) == 1)//crop failure at 10%
           {
               immigrate();
               return;
           }
           if (randNumGen.nextInt(20) == 1)
           {
               super.act();//20%
               if (this.getXPos() <= 200)
               {
                   this.moveTo(201, this.getYPos());
               }
           }
       }
       else if (inTransit) {
          //move across atlantic (move left)   
       }
       else if (dead == false)
       {
           if (getXPos() >= 100)
           {
               immigrate();
               return;
           }
           this.setBodyColor(Color.green);
           if (randNumGen.nextInt(5) == 1 && this.sick == false)
           {
               super.act();//20% chance of moving within America
               if (this.getXPos() >=98)
               {
                   this.moveTo(58 + randNumGen.nextInt(40), this.getYPos());//stay in America
               }
           }
           if (randNumGen.nextInt(50) == 1 && sick == false)
           {
               this.setBodyColor(Color.red);
               sick = true;
               timessick ++;
               return;
           }
           if (sick == true)
           {
               timessick ++;
               if (randNumGen.nextInt(2) == 1)
               {
                   if (sick == false) //Become better
                   {
                       this.setBodyColor(Color.green);
                       timessick ++;
                   }
                   if (timessick >= 5)
                   {
                       this.die();
                   }
               }
           }
       }
   }
   
     ////////////////////////////// Constructors ////////////////////////
  // Copy this section AS-IS into subclasses, but rename Agent to 
  // Your class.
  
  /**
   * Constructor that takes the model display (the original
   * position will be randomly assigned)
   * @param modelDisplayer thing that displays the model
   * @param thisSim my simulation
   */
  public ImmigrationAgent (ModelDisplay modelDisplayer,Simulation thisSim)
  {
    super(randNumGen.nextInt(modelDisplayer.getWidth()),
          randNumGen.nextInt(modelDisplayer.getHeight()),
          modelDisplayer, thisSim);
  }
  
  /** Constructor that takes the x and y and a model
   * display to draw it on
   * @param x the starting x position
   * @param y the starting y position
   * @param modelDisplayer the thing that displays the model
   * @param thisSim my simulation
   */
  public ImmigrationAgent (int x, int y, ModelDisplay modelDisplayer, 
               Simulation thisSim) 
  {
    // let the parent constructor handle it
    super(x,y,modelDisplayer,thisSim);
  }
}
